"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = __importDefault(require("styled-components"));
const theme_1 = __importDefault(require("../../theme"));
const utils_1 = require("../../utils");
exports.FlexColumn = styled_components_1.default.div({
    flexFlow: 'column nowrap',
    height: '100%',
    padding: '0.5em',
}, utils_1.flex(), utils_1.paddable, ({ width, padded, theme }) => {
    if (!width) {
        return;
    }
    const { breakpoints } = theme;
    const offset = padded ? '5rem' : '1em';
    const res = {
        flexBasis: '100%',
    };
    if (!Array.isArray(width)) {
        res['@media screen and (min-width: 64em)'] = {
            flexBasis: `${100 * width}%`,
        };
        return res;
    }
    for (let i = 0; i < width.length; i++) {
        if (breakpoints.length < i) {
            break;
        }
        const query = `@media screen and (min-width: ${breakpoints[i]})`;
        res[query] = {
            flexBasis: `calc(${100 * width[i]}% - ${offset})`,
        };
    }
    return res;
});
exports.FlexColumn.defaultProps = {
    theme: theme_1.default,
};
exports.FlexRow = styled_components_1.default.div({
    flexFlow: 'row wrap',
}, utils_1.flex(true), utils_1.paddable);
exports.FlexRow.defaultProps = {
    theme: theme_1.default,
};
