"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.secondary = ({ theme, secondary, color, }) => {
    const colour = theme.colors[color || 'primary'];
    return (secondary && {
        border: `1px solid ${colour.default}`,
        backgroundColor: 'transparent',
        color: colour.active,
    });
};
exports.text = ({ color, theme, }) => color
    ? {
        color: theme.colors[color].default,
    }
    : null;
exports.paddable = (props) => props.padded
    ? {
        padding: '1rem 2.5rem',
    }
    : null;
exports.flex = (isRow) => ({ verticalAlign, centered, }) => {
    const s = {
        display: 'flex',
        justifyContent: undefined,
        alignItems: undefined,
    };
    if (verticalAlign) {
        s[isRow ? 'alignItems' : 'justifyContent'] = verticalAlign;
    }
    if (centered) {
        s[!isRow ? 'alignItems' : 'justifyContent'] = 'center';
    }
    return s;
};
exports.colourable = ({ color, theme, }) => color
    ? {
        backgroundColor: theme.colors[color].default,
        color: 'white',
    }
    : {
        backgroundColor: theme.colors.primary.default,
        color: 'white',
    };
exports.clickable = ({ color, disabled, theme, }) => {
    return Object.assign({ cursor: 'pointer' }, (disabled
        ? {
            pointerEvents: 'none',
            opacity: 0.45,
        }
        : {}), { 
        // OnClick
        '&:active:hover': {
            backgroundColor: theme.colors[color || 'primary'].active,
        }, 
        // Hover or focus
        '&:hover, &:focus': {
            backgroundColor: theme.colors[color || 'primary'].hover,
        } });
};
